## BraseroTrack

BraseroTrack

## Synopsis

                        BraseroTrack;
    void                brasero_track_changed               (BraseroTrack *track);
    BraseroBurnResult   brasero_track_get_size              (BraseroTrack *track,
                                                             goffset *blocks,
                                                             goffset *bytes);
    BraseroTrackDataType  brasero_track_get_track_type      (BraseroTrack *track,
                                                             BraseroTrackType *type);
    BraseroBurnResult   brasero_track_get_status            (BraseroTrack *track,
                                                             BraseroStatus *status);
    enum                BraseroChecksumType;
    BraseroBurnResult   brasero_track_set_checksum          (BraseroTrack *track,
                                                             BraseroChecksumType type,
                                                             const gchar *checksum);
    const gchar *       brasero_track_get_checksum          (BraseroTrack *track);
    BraseroChecksumType  brasero_track_get_checksum_type    (BraseroTrack *track);
    BraseroBurnResult   brasero_track_tag_add               (BraseroTrack *track,
                                                             const gchar *tag,
                                                             GValue *value);
    BraseroBurnResult   brasero_track_tag_lookup            (BraseroTrack *track,
                                                             const gchar *tag,
                                                             GValue **value);
    void                brasero_track_tag_copy_missing      (BraseroTrack *dest,
                                                             BraseroTrack *src);
    BraseroBurnResult   brasero_track_tag_add_string        (BraseroTrack *track,
                                                             const gchar *tag,
                                                             const gchar *string);
    const gchar *       brasero_track_tag_lookup_string     (BraseroTrack *track,
                                                             const gchar *tag);
    BraseroBurnResult   brasero_track_tag_add_int           (BraseroTrack *track,
                                                             const gchar *tag,
                                                             int value);
    int                 brasero_track_tag_lookup_int        (BraseroTrack *track,
                                                             const gchar *tag);

## Description

## Details

### BraseroTrack

    typedef struct {
    	GObject parent_instance;
    } BraseroTrack;

### brasero_track_changed ()

    void                brasero_track_changed               (BraseroTrack *track);

`track` : |

### brasero_track_get_size ()

    BraseroBurnResult   brasero_track_get_size              (BraseroTrack *track,
                                                             goffset *blocks,
                                                             goffset *bytes);

`track` : |
`blocks` : |
`bytes` : |
Returns : |

### brasero_track_get_track_type ()

    BraseroTrackDataType  brasero_track_get_track_type      (BraseroTrack *track,
                                                             BraseroTrackType *type);

`track` : |
`type` : |
Returns : |

### brasero_track_get_status ()

    BraseroBurnResult   brasero_track_get_status            (BraseroTrack *track,
                                                             BraseroStatus *status);

`track` : |
`status` : |
Returns : |

### enum BraseroChecksumType

    typedef enum {
    	BRASERO_CHECKSUM_NONE			= 0,
    	BRASERO_CHECKSUM_DETECT			= 1,		/* means the plugin handles detection of checksum type */
    	BRASERO_CHECKSUM_MD5			= 1 << 1,
    	BRASERO_CHECKSUM_MD5_FILE		= 1 << 2,
    	BRASERO_CHECKSUM_SHA1			= 1 << 3,
    	BRASERO_CHECKSUM_SHA1_FILE		= 1 << 4,
    	BRASERO_CHECKSUM_SHA256			= 1 << 5,
    	BRASERO_CHECKSUM_SHA256_FILE		= 1 << 6,
    } BraseroChecksumType;

### brasero_track_set_checksum ()

    BraseroBurnResult   brasero_track_set_checksum          (BraseroTrack *track,
                                                             BraseroChecksumType type,
                                                             const gchar *checksum);

`track` : |
`type` : |
`checksum` : |
Returns : |

### brasero_track_get_checksum ()

    const gchar *       brasero_track_get_checksum          (BraseroTrack *track);

`track` : |
Returns : |

### brasero_track_get_checksum_type ()

    BraseroChecksumType  brasero_track_get_checksum_type    (BraseroTrack *track);

`track` : |
Returns : |

### brasero_track_tag_add ()

    BraseroBurnResult   brasero_track_tag_add               (BraseroTrack *track,
                                                             const gchar *tag,
                                                             GValue *value);

`track` : |
`tag` : |
`value` : |
Returns : |

### brasero_track_tag_lookup ()

    BraseroBurnResult   brasero_track_tag_lookup            (BraseroTrack *track,
                                                             const gchar *tag,
                                                             GValue **value);

`track` : |
`tag` : |
`value` : |
Returns : |

### brasero_track_tag_copy_missing ()

    void                brasero_track_tag_copy_missing      (BraseroTrack *dest,
                                                             BraseroTrack *src);

`dest` : |
`src` : |

### brasero_track_tag_add_string ()

    BraseroBurnResult   brasero_track_tag_add_string        (BraseroTrack *track,
                                                             const gchar *tag,
                                                             const gchar *string);

`track` : |
`tag` : |
`string` : |
Returns : |

### brasero_track_tag_lookup_string ()

    const gchar *       brasero_track_tag_lookup_string     (BraseroTrack *track,
                                                             const gchar *tag);

`track` : |
`tag` : |
Returns : |

### brasero_track_tag_add_int ()

    BraseroBurnResult   brasero_track_tag_add_int           (BraseroTrack *track,
                                                             const gchar *tag,
                                                             int value);

`track` : |
`tag` : |
`value` : |
Returns : |

### brasero_track_tag_lookup_int ()

    int                 brasero_track_tag_lookup_int        (BraseroTrack *track,
                                                             const gchar *tag);

`track` : |
`tag` : |
Returns : |